%global momorel 6

Name:           perl-Regexp-Parser
Version:        0.20
Release:        %{momorel}m%{?dist}
Summary:        Base class for parsing regexes
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Regexp-Parser/
Source0:	http://www.cpan.org/modules/by-module/Regexp/Regexp-Parser-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module parses regular expressions (regexes). Its default "grammar" is
Perl 5.8.4's regex set. Grammar is quoted because the module does not so
much define a grammar as let each matched node state what it expects to
match next, but there is not currently a way of extracting a complete
grammar. This may change in future versions.

%prep
%setup -q -n Regexp-Parser-%{version}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/^perl(Regexp::Parser::Diagnostics/d' | \
  sed -e '/^perl(Regexp::Parser::Handlers/d' | \
  sed -e '/^perl(Regexp::Parser::Objects/d'

EOF
%define __perl_requires %{_builddir}/Regexp-Parser-%{version}/%{name}-req
chmod +x %{name}-req

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Perl6/Rule
%{perl_vendorlib}/Regexp/Parser*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.20-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20-4m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
